package com.ebei.screen.common.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 车场支付方式类型
 *
 * @author Levi
 */

@Getter
@AllArgsConstructor
public enum PayTypeCode {
    A("WX", "微信"),
    B("ZFB", "支付宝"),
    C("YL", "银联"),
    D("JYF", "捷钱包"),
    E("YFB", "易付宝"),
    F("YZF", "翼支付"),
    G("XJ", "现金"),
    H("OTHER", "其他");

    private String code;
    private String type;

    public static String getTypeByCode(String code) {
        for (PayTypeCode value : PayTypeCode.values()) {
            if (value.getCode().equals(code)) {
                return value.getType();
            }
        }
        return null;
    }

}
